function K=kerneljep(A,B,sigma);
% Authors:
% Mario Guarracino, Claudio Cifarelli, Onur Seref, Panos Pardalos
% version 2.0
% 2005
% function K=kerneljep(A,B,sigma);
% kerneljep evaluates the kernel matrix K from matrices A and B using a
% gaussian kernel with parameter sigma.
na=size(A,1);
ca=size(A,2);
nb=size(B,1);
cb=size(B,2);

K=zeros(na,nb);

for i=1:na,

	for j=1:nb

	K(i,j)=exp ( -(norm (A(i,:)-B(j,:) ))^2/sigma);

	end

end