% This macro is used to test Haberman dataset.
% Mario Guarracino, Claudio Cifarelli, Onur Seref, Panos Pardalos
% version 2.0
% 2005

ACC=[];
sigma=1800;
delta=0.1;
for i=1:100,
    [nome_train,err]=   sprintf('haberman/haberman_train%d.asc',i);
    [nome_train_l,err]= sprintf('haberman/haberman_trains_labels%d.asc',i);
    [nome_test,err]=    sprintf('haberman/haberman_test%d.asc',i);
    [nome_test_l,err]=  sprintf('haberman/haberman_tests_labels%d.asc',i);
    train=load(nome_train);
    train_l=load(nome_train_l);
    test=load(nome_test);
    test_l=load(nome_test_l);
  [class,acctr,Z,W,D]=regec2(train,train_l,test,test_l,sigma,delta,delta);
  ACC=[ACC; acctr];
end
fprintf(1,'Regec mean accuracy %f \n', mean(ACC))